/* PADCART EDIT
-------------------------*/

div.padloper-pagecart-container div.padloper-pagecart-qty.input-group{
    display: block;
    }

div.padloper-pagecart-container div.padloper-pagecart-qty.input-group input{
    width: 35px;
    margin: 0.4rem auto;
    }

td.padloper-pagecart-qty-and-price span{
    display: block;
}

.padloper-pagecart-container .original_price,
 .padloper-pagecart-container .discounted_price
 {
     text-decoration: line-through;
 }
 .padloper-pagecart-container .discount_pct {
/*     padding: .25rem .5rem;*/
     background-color: #e57d20;
     color: white;
     border-radius: .2rem;
 }
 .padloper-pagecart-container .discount_code_pct,
 .padloper-pagecart-coupon {
/*     padding: .25rem .5rem;*/
	 margin-top: 5px; /* MAURO - per distacco da "dsicount_pct" */
     background-color: #ffc107;
     color: black;
     border-radius: .2rem;
     display: inline-block;
 }

div.padloper-pagecart-qty i.js-plus, div.padloper-pagecart-qty i.js-minus{
    font-size: 24px;
}

td.padloper-pagecart-remove i.fa:hover{
    cursor: pointer; 
}

/* PADCART Responsive 577
-------------------------*/
@media (max-width: 767px) {
    div.padloper-pagecart-qty input.js-result, div.padloper-pagecart-qty i.js-plus{
    margin-left: 0rem;
    }
    
    a.product-link h3.h5{
    font-size: 1rem;
    }
    
}



/* Product Links in table 
--------------------------------------- */

/* table.padloper-cart td.padloper-cart-product a.product-link {
    
} */
span.discount, span.coupon, span.no-coupon, div.coupon {
    font-size: 0.8rem;
    color: white;
    border-radius: 4px;
    padding: 2px 4px;
}

main.basic-page span.coupon {
	border-radius: 0px 0px 4px 0px;
}
main.basic-page span.discount {	
	position: absolute;
	top: 0;
	right: 0;
	border-radius: 0px 0px 0px 6px;	
	padding: 6px 12px;
}

div.renderBoxImage .product span.selled {	
	position: absolute;
    width: 100%;
	top: 50px;
	right: 0;
	border-radius: 0px;	
	padding: 9px 10px;
    background: #9f3131;
    color: #efebe4;
    font-size: 0.9rem;
}

div.renderBoxImage .product_no_cart span.not-shipping {	
	position: absolute;
    width: 100%;
	top: 0px;
	right: 0;
	border-radius: 0px;	
	padding: 9px 10px;
    /* background: #e57d20; */
    background: #9f3131;
    color: #efebe4;
    font-size: 0.9rem;
}

main.product_wine div.no-coupon {
    font-size: 0.8rem;
    color: #a4846d;
    background: #EFEBE4;
    border-radius: 4px;
    padding: 4px 4px;
}

span.original_price, span.discounted_price{
	text-decoration: line-through;
}
span.discount{
    background: #e57d20;
}

div.coupon, span.coupon{
    background: #ffc107;
    color: #000;
}
span.no-coupon{
    background: #fd591c;
    color: #000;
}


/*  CUSTOM PADCKECKOUT COLOR
------------------------------ */

main.padcheckout .g-bg-color-orange {
	background-color: #ffa50050;
}


/* Form Dati cliente / spedizione
   Padchecout customer (PADORDER TPL)
--------------------------------------- */

/* Form raccolta dati 
-------------------------*/

.InputfieldStateRequired label.InputfieldHeader::after, main.padcheckout div#wrap_Inputfield_enable_disable div.InputfieldContent label span::after {
	content: " *";
	color: red;
}

select#Inputfield_province_it, select#Inputfield_profile_province_it {
	line-height: 1.3;
	padding: .6em 1.4em .5em .8em;
	border: 1px solid #aaa;
	box-shadow: 0 1px 0 1px rgba(0,0,0,.04);
	border-radius: 3px;
	appearance: none;
	background-color: #fff;
	background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23007CB2%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E');
	background-repeat: no-repeat, repeat;
	background-position: right .7em top 50%, 0 0;
	background-size: .65em auto, 100%;
}

form#padloper-customerform i {
    display: none;
}

form#padloper-customerform div.Inputfield {
    display: inline-block;
    margin-right:15px;
    margin-top: 1.2rem;
}

form#padloper-customerform div.Inputfield input{
    padding: 0.35rem 0.5rem 0.35rem;
}


form#padloper-customerform div#wrap_Inputfield_pad_discount_code{
    width: 187px;
    display: block;
}

form#padloper-customerform div.InputfieldRadios ul {
  list-style-type: none;
  padding-left: 15px;
    margin-bottom: 5px;
}

form#padloper-customerform div.InputfieldRadios ul li label input, form#padloper-customerform div.InputfieldCheckbox div label input {
    margin-right: 10px;
}

form#padloper-customerform div#wrap_Inputfield_pad_shippingmodule, form#padloper-customerform div#wrap_Inputfield_pad_paymentmodule {
    margin-top: 1.5rem;
    display: block;
    padding: 1rem;
    background: #efebe4;
    border-radius: 5px;
}

form#padloper-customerform div#wrap_Inputfield_enable_disable div.InputfieldContent label {
    border: 1px solid #ccc;
    padding: 10px;
    border-radius: 5px;
}

form#padloper-customerform div#wrap_Inputfield_enable_disable div.InputfieldContent label a {
	color: #a4846d;
}

div#wrap_Inputfield_enable_disable label.InputfieldHeader {
    display: none;
}

/*Bottone conferma*/
form#padloper-customerform div#wrap_customerForm {
    display: block;
}
form#padloper-customerform div#wrap_customerForm button{
    background: #a4846d;
    color: white;
    border: 1px solid #a4846d;
}

form#padloper-customerform label.ui-widget-header, form#padloper-customerform div.ui-widget-content {
    border: 0px none;
    background: transparent;
}

.ui-widget-content {
	border: 0px none;
}

/* Errori Form
-------------------------*/

form#padloper-customerform div.Inputfield.InputfieldStateError{
    border: 0px none;
    background: none;
}

form#padloper-customerform p.InputfieldError.ui-state-error{
    padding: 5px 10px;
    border: 0px none;
    background: #ffc107;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    color: #000;
    margin: 0;
    font-size: 0.85rem;
    /* max-width: 62%; */
}


.ui-widget-content {
	border: 0px none;
}

/* PADCART Responsive 577
-------------------------*/
@media (max-width: 767px) {
div#Inputfield_customer_info_set, div#Inputfield_shipping_payment_info_set{
    float: none;
    width: 100%;
    margin-left: 0;
    }
    
div.Inputfield .InputfieldContent .Inputfields .Inputfield {
	width: 100%;
    display: block;
    }
    
}

/* PAd CheckOut confirmation
-----------------------------*/
main.padcheckout div.customer i.fa{
	font-size: 1.5rem;
    margin-right: 10px;
}

/* CHECKOUT PROGRESS
------------------------------*/

.step {
    display: flex;
    flex-wrap: nowrap;
    list-style: none;
    margin: 2rem 0 3rem 0;
    width: 100%;
	padding-left: 0px !important;
}
.step .step-item {
	color: #a4846d;
    flex: 1 1 0;
    margin-top: 0;
    min-height: 1rem;
    text-align: center;
    position: relative;
}

.step .step-item:not(:first-child)::before {
    background: #a4846d;
    content: "";
    height: 2px;
    left: -50%;
    position: absolute;
    top: 9px;
    width: 100%;
}
.step .step-item a, .step .step-item span.finish {
    color: #a4846d;
    display: inline-block;
    padding: 20px 10px 0;
    text-decoration: none;
}
.step .step-item a::before, .step .step-item span.finish::before {
    background: #a4846d;
    border-radius: 50%;
    content: "";
    display: block;
    height: 1rem;
    width: 1rem;
    left: 50%;
    position: absolute;
    top: 0.165rem;
    transform: translateX(-50%);
    z-index: 1;
}
.step .step-item.active::before {
    background: #a4846d !important;
}
.step .step-item:not(active)::before {
    background: #a4846d;
}
.step .step-item a.current::after {
    background: #fff;
	border-radius: 50%;
	border-radius: 2px solid #a4846d;
    content: "";
    display: block;
    height: .75rem;
    width: .75rem;
    left: 50%;
    position: absolute;
    top: 0.28rem;
    transform: translateX(-50%);
    z-index: 1;
}
.step .step-item:not(active)::before {
background-color: #888888 !important;
}
.step .step-item.active a.current {
	color: #a4846d !important;
}
.step .step-item.active a.current::before {
	background-color: #a4846d !important;
}
.step .step-item a:not(current), .step .step-item span.finish:not(current) {
	color: #888888 !important;
}
.step .step-item:not(active) a:not(current)::before, .step .step-item:not(active) span.finish:not(current)::before {
background-color: #888888 !important;
}
.step .step-item a.passed, .step .step-item a.passed::before {
	color: #a4846d !important;
}
.step .step-item a.passed::before {
	background-color: #a4846d !important;
}
.step .step-item.passed::before {
	background-color: #a4846d !important;
}
